.shoe_list {
    box-shadow: inset 0 0 0 0 #ff0000;
    color: #ff0000;
    margin: 0 -.25rem;
    padding: 0 .25rem;
    transition: color .3s ease-in-out, box-shadow .3s ease-in-out;
  }
  .shoe_list:hover {
    box-shadow: inset 100px 0 0 0 black;
    color: #000000;
  }

  .shoe_list {
    overflow: hidden;
    position: relative;
    display: inline-block;
  }

  .shoe_list::before,
  .shoe_list::after {
   content: '';
    position: absolute;
    width: 100%;
    left: 0;
  }
  .shoe_list::before {
    background-color: whitesmoke;
    height: 2px;
    bottom: 0;
    transform-origin: 100% 50%;
    transform: scaleX(0);
    transition: transform .3s cubic-bezier(0.76, 0, 0.24, 1);
  }
  .shoe_list::after {
    content: attr(data-replace);
    height: 100%;
    top: 0;
    transform-origin: 100% 50%;
    transform: translate3d(200%, 0, 0);
    transition: transform .3s cubic-bezier(0.76, 0, 0.24, 1);
    color: #ff0000;
  }

  .shoe_list:hover::before {
    transform-origin: 0% 50%;
    transform: scaleX(1);
  }
  .shoe_list:hover::after {
    transform: translate3d(0, 0, 0);
  }

  .shoe_list span {
    display: inline-block;
    transition: transform .3s cubic-bezier(0.76, 0, 0.24, 1);
  }

  .shoe_list:hover span {
    transform: translate3d(-200%, 0, 0);
  }
  img {
    width: 300px;
    height: 337px;
    object-fit: cover;
  }
  .row>* {
    max-width: 33%;
  }
